# Class FirestoreProperties

java.lang.Object
com.google.adk.utils.FirestoreProperties

public class FirestoreProperties extends Object
Placeholder class to test that the FirestoreProperties file is correctly included in the test resources.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getFirebaseRootCollectionName()`
  Get the root collection name from the properties file, or return the default value if not found.
  `String`
  `getGcsAdkBucketName()`
  Get the GCS ADK bucket name from the properties file.
  `static FirestoreProperties`
  `getInstance()`
  Returns a singleton instance of FirestoreProperties.
  `String`
  `getProperty(String key)`
  Functionality to read a property from the loaded properties file.
  `Set<String>`
  `getStopWords()`
  Get the stop words for keyword extraction from the properties file, or return the default set if not found.
  `static void`
  `resetForTest()`
  Resets the singleton instance.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getProperty

    public String getProperty(String key)
    Functionality to read a property from the loaded properties file.
    Parameters:
      `key` - the property key
    Returns:
      the property value, or null if not found

  - ### getFirebaseRootCollectionName

    public String getFirebaseRootCollectionName()
    Get the root collection name from the properties file, or return the default value if not found.
    Returns:
      the root collection name

  - ### getStopWords

    public Set<String> getStopWords()
    Get the stop words for keyword extraction from the properties file, or return the default set if not found.
    Returns:
      the set of stop words

  - ### getGcsAdkBucketName

    public String getGcsAdkBucketName()
    Get the GCS ADK bucket name from the properties file.
    Returns:
      the GCS ADK bucket name

  - ### getInstance

    public static FirestoreProperties getInstance()
    Returns a singleton instance of FirestoreProperties.
    Returns:
      the FirestoreProperties instance

  - ### resetForTest

    public static void resetForTest()
    Resets the singleton instance. For testing purposes only.